CFPRIME PARSIU                                                          PARSIU      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*               Output Analysis Program for ETMSP (OAP)               *RIGHTE      4
C*               =======================================               *RIGHTE      5
C*                                                                     *RIGHTE     11
C*        copyright @(1993) Electric Power Research Institute          *RIGHTE     12
C*                                                                     *RIGHTE     13
C* EPRI reserves all rights in the software and associated             *RIGHTE     14
C* documentation as delivered. The software and its associated         *RIGHTE     15
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     16
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     17
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     18
C* of any changes or modifications to the software within two (2)      *RIGHTE     19
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     20
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     21
C* new designation sufficiently different from its then current        *RIGHTE     22
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     23
C* the current software as changed or modified.                        *RIGHTE     24
C*                                                                     *RIGHTE     25
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     26
C* directly from EPRI.                                                 *RIGHTE     27
C*                                                                     *RIGHTE     28
C* This program and supporting materials may be independently available*RIGHTE     29
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     30
C* distribution fee. The EPSC is a service of                          *RIGHTE     31
C*                                                                     *RIGHTE     32
C*                    Power Computing Company                          *RIGHTE     33
C*                    1930 Hi Line                                     *RIGHTE     34
C*                    Dallas, Tx 75207                                 *RIGHTE     35
C*                                                                     *RIGHTE     36
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     37
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     38
C*                                                                     *RIGHTE     39
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     40
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     41
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     42
C*    DOCUMENTATION; OR                                                *RIGHTE     43
C*                                                                     *RIGHTE     44
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     45
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     46
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     47
C*                                                                     *RIGHTE     48
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     49
C* THEREOF.                                                            *RIGHTE     50
C*                                                                     *RIGHTE     51
C***********************************************************************RIGHTE     52
      SUBROUTINE PARSIU(PAR,LE,IU,LO)                                   PARSIU      3
CD                                                                      PARSIU      4
CD              THIS ROUTINE PARSES THE PARAMETER FOR LOGICAL UNIT      PARSIU      5
CD                                                                      PARSIU      6
CD              CALLING PARAMETERS :                                    PARSIU      7
CD                                                                      PARSIU      8
CD                          PAR    : INCOMING USER INPUT                PARSIU      9
CD                          LE     : LENGTH OF THE CHARACTER STRING PAR PARSIU     10
CD                          IU     : READ IN LOGICAL UNIT NUMBER        PARSIU     11
CD                                   IF IU = -1, NO LOGICAL UNIT READ INPARSIU     12
CD                          LO     : NUMBER OF CHARACTER IN THE NAME    PARSIU     13
CD                                   SUPPLIED BY THE INCOMING USER INPUTPARSIU     14
CD                                                                      PARSIU     15
C                                                                       PARSIU     16
      CHARACTER*(*) PAR                                                 PARSIU     17
      INCLUDE 'SOAPC1.INS'                                              PARSIU     18
                                                                        PARSIU     19
      IU=0                                                              PARSIU     20
C   .....................................................               PARSIU     21
C   : read in unit number between < >                   :               PARSIU     22
C   :                                                   :               PARSIU     23
      LLSB=0                                                            PARSIU     24
      LRSB=0                                                            PARSIU     25
      LLSB=INDEX(PAR,'<')                                               PARSIU     26
      LRSB=INDEX(PAR,'>')                                               PARSIU     27
      IF((LLSB.NE.0) .AND.(LRSB.NE.0)) THEN                             PARSIU     28
          READ(PAR(LLSB+1:LRSB-1),*,IOSTAT=IOS) IU                      PARSIU     29
          IF(IOS.NE.0) GOTO 88                                          PARSIU     30
          DO 70 I=LLSB-1,1                                              PARSIU     31
             IF(PAR(I:I).NE.' ') GOTO 75                                PARSIU     32
 70       CONTINUE                                                      PARSIU     33
 75       LO=I                                                          PARSIU     34
      ELSE                                                              PARSIU     35
          IU=-1                                                         PARSIU     36
      ENDIF                                                             PARSIU     37
      GOTO 89                                                           PARSIU     38
C    ............................................       :               PARSIU     39
 88   CONTINUE                                                          PARSIU     40
      WRITE(LOUT,'(//,10X,A,/)')'(LOGICAL UNIT ERROR.)'                 PARSIU     41
      IU=-1                                                             PARSIU     42
 89   CONTINUE                                                          PARSIU     43
      RETURN                                                            PARSIU     44
      END                                                               PARSIU     45
